#ifndef __CONSTANTS__
#define __CONSTANTS__

#include <string>
#include <vector>

static const std::vector<double> DEFAULT_COVALENT_RADII = {
    .42,  // 1-H
    .93,  // 2-He
    .68,  // 3-Li
    .35,  // 4-Be
    .83,  // 5-B
    .68,  // 6-C
    .68,  // 7-N
    .68,  // 8-O
    .64,  // 9-F
    1.12, // 10-Ne
    1.55, // 11-Na (* = not in source, data from Wikipedia)
    1.3,  // 12-Mg (*)
    1.35, // 13-Al
    1.20, // 14-Si
    1.05, // 15-P
    1.02, // 16-S
    .99,  // 17-Cl
    1.57, // 18-Ar
    1.33, // 19-K
    .99,  // 20-Ca
    1.44, // 21-Sc
    1.47, // 22-Ti
    1.33, // 23-V
    1.35, // 24-Cr
    1.35, // 25-Mn
    1.34, // 26-Fe
    1.33, // 27-Co
    1.05, // 28-Ni (*)
    1.15, // 29-Cu (*)
    1.45, // 30-Zn
    1.22, // 31-Ga
    1.17, // 32-Ge
    1.21, // 33-As
    1.22, // 34-Se
    1.21, // 35-Br
    1.91, // 36-Kr
    1.47, // 37-Rb
    1.12, // 38-Sr
    1.78, // 39-Y
    1.56, // 40-Zr
    1.48, // 41-Nb
    1.47, // 42-Mo
    1.35, // 43-Tc
    1.40, // 44-Ru
    -1,   // 45-Rh
    -1,   // 46-Pd
    1.59, // 47-Ag
    1.69, // 48-Cd
    1.63, // 49-In
    1.46, // 50-Sn
    -1,   // 51-Sb
    1.47, // 52-Te
    2.1,  // 53-I
    1.98, // 54-Xe
    2.37, // 55-Cs
    1.34, // 56-Ba
    1.87, // 57-La
    1.83, // 58-Ce
    1.82, // 59-Pr
    1.81, // 60-Nd
    1.80, // 61-Pm
    1.80, // 62-Sm
    1.4,  // 63-Eu (*)
    1.4,  // 64-Gd (*)
    1.76, // 65-Tb
    1.75, // 66-Dy
    1.74, // 67-Ho
    1.73, // 68-Er
    1.72, // 69-Tm
    // -1,   // 70-Yb
    // -1,   // 71-Lu
    // -1,   // 72-Hf
    // -1,   // 73-Ta
    // -1,   // 74-W
    // -1,   // 75-Re
    // -1,   // 76-Os
    // -1,   // 77-Ir
    // -1,   // 78-Pt
    // -1,   // 79-Au
    // -1,   // 80-Hg
    // -1,   // 81-Tl
    // -1,   // 82-Pb
    // -1,   // 83-Bi
    // -1,   // 84-Po
    // -1,   // 85-At
    // -1,   // 86-Rn
    // -1,   // 87-Fr
    // -1,   // 88-Ra
    // -1,   // 89-Ac
    // -1,   // 90-Th
    // -1,   // 91-Pa
    // -1,   // 92-U
    // -1,   // 93-Np
    // -1,   // 94-Pu
    // -1,   // 95-Am
    // -1,   // 96-Cm
    // -1,   // 97-Bk
    // -1,   // 98-Cf
    // -1,   // 99-Es
    // -1,   // 100-Fm
    // -1,   // 101-Md
    // -1,   // 102-No
    // -1,   // 103-Lr
    // -1,   // 104-Rf
    // -1,   // 105-Db
    // -1,   // 106-Sg
    // -1,   // 107-Bh
    // -1,   // 108-Hs
    // -1,   // 109-Mt
    // -1,   // 110-Ds
    // -1,   // 111-Rg
    // -1,   // 112-Cn
    // -1,   // 113-Nh
    // -1,   // 114-Fl
    // -1,   // 115-Mc
    // -1,   // 116-Lv
    // -1,   // 117-Ts
    // -1,   // 118-Og
};

static const std::vector<std::string> CHEMICAL_ELEMENTS = {
    "H",  "He", "Li", "Be", "B",  "C",  "N",  "O",  "F",  "Ne", "Na", "Mg", "Al", "Si", "P",
    "S",  "Cl", "Ar", "K",  "Ca", "Sc", "Ti", "V",  "Cr", "Mn", "Fe", "Co", "Ni", "Cu", "Zn",
    "Ga", "Ge", "As", "Se", "Br", "Kr", "Rb", "Sr", "Y",  "Zr", "Nb", "Mo", "Tc", "Ru", "Rh",
    "Pd", "Ag", "Cd", "In", "Sn", "Sb", "Te", "I",  "Xe", "Cs", "Ba", "La", "Ce", "Pr", "Nd",
    "Pm", "Sm", "Eu", "Gd", "Tb", "Dy", "Ho", "Er", "Tm", "Yb", "Lu", "Hf", "Ta", "W",  "Re",
    "Os", "Ir", "Pt", "Au", "Hg", "Tl", "Pb", "Bi", "Po", "At", "Rn", "Fr", "Ra", "Ac", "Th",
    "Pa", "U",  "Np", "Pu", "Am", "Cm", "Bk", "Cf", "Es", "Fm", "Md", "No", "Lr", "Rf", "Db",
    "Sg", "Bh", "Hs", "Mt", "Ds", "Rg", "Cn", "Nh", "Fl", "Mc", "Lv", "Ts", "Og"};

#endif
